{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/cropper/cropper.min.css' %}">
    <style>
        .crop-preview > canvas {
            width: 100%;
            height: auto;
        }
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>
{% endblock css %}

{% block scripts %}
    {% load static %}
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_KM' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_KM' %}">Mobil</a></li>
            <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} Mobil</h5>
        <div class="card-body">

            <form method ='post' id="faqForm" enctype ="multipart/form-data" 
            {% if edit %}
                action="{% url 'profile:admin_mobil_edit' mobil.id %}"
            {% else %}
                action="{% url 'profile:admin_mobil_create' %}"
            {% endif %}>
        
           
            {% csrf_token %}
            
            <div class="form-group">
                <label for="deskripsi">Pilih Kategori</label>
                <select name="kategori" id="" class="form-control">
                  {% for kat in form  %}
                    <option {% if kat.id == mobil.kategori_mobil.id %} selected {% endif %} value="{{kat.id}}">{{kat.judul}}</option>
                  {% endfor %}
                </select>
            </div>
            <div class="form-group">
                <label for="deskripsi">Masukan Nama Mobil</label>
                <input type="text" value="{{ mobil.nama }}" name="nama" class="form-control">
            </div>

            <div class="form-group">
                <label for="images">Masukan Foto Mobil</label>
                <input type="file" name="images" class="form-control" multiple>
            </div>
            
            <div class="form-group">
                <label for="harga">Masukan Harga Mobil</label>
                <input type="text" value="{{ mobil.harga }}"  name="harga" class="form-control">
            </div>
            <div class="form-group">
                <label for="deskripsi">Masukan Deskripsi Mobil</label>
                <textarea name="deskripsi" id="deskripsi" class="form-control">{{ mobil.deskripsi }}</textarea>
            </div>

            <div class="form-group">
                <label for="bestSeller">Best Seller?</label>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="best" value="yes" id="yes" {% if mobil.best_seller == 1 %} checked {% endif %}>
                    <label class="form-check-label" for="yes">
                        Yes
                    </label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="best" value="no" id="no" {% if mobil.best_seller == 0 %} checked {% endif %}>
                    <label class="form-check-label" for="no">
                        No
                    </label>
                </div>
            </div>
            

            <!-- <div class="form-row mb-2" id="edit-highlight1 d-none">
                <label class="col-sm-2 col-form-label" for="judul1">Judul Fasilitas</label>
                <div class="col-10">
                    <input type="text" class="form-control"  maxlength="255" name="judul1" id="judul1" value="">
                </div>
            </div>
            <div class="form-row mb-2" id="edit-highlight1 d-none">
                <label class="col-sm-2 col-form-label" for="fasilitas1">Deskripsi Fasilitas</label>
                <div class="col-10">
                    <input type="text" class="form-control"  maxlength="255" name="fasilitas1" id="fasilitas1" value="">
                </div>
            </div>
            <div class="form-row mb-2" id="edit-highlight1 d-none">
                <label class="col-sm-2 col-form-label" for="icon1">Icon Fasilitas</label>
                <div class="col-10">
                    <input type="text" class="form-control"  maxlength="255" name="icon1" id="icon1" value="">
                </div>
            </div>
            <div class="form-group ">
                <label for="f1">Tambah Fasilitas?</label>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="enablePromo" value="yes" id="enablePromoYes">
                    <label style="margin-right: 30px;" class="form-check-label" for="enablePromoYes">
                        Yes
                    </label>
                    <input class="form-check-input" type="radio" name="enablePromo" value="no" id="enablePromoNo" checked>
                    <label class="form-check-label" for="enablePromoNo">
                        No
                    </label>
                </div>
            </div> -->
           
        </form>
            <button type="submit" class="btn btn-success" id="submitButton"><i class="bi bi-save"></i> Simpan</button>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js" integrity="sha512-3gJwYpMe3QewGELv8k/BX9vcqhryRdzRMxVfq6ngyWXwo03GFEzjsUm8Q7RZcHPHksttq7/GFoxjCVUjkjvPdw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.ckeditor.com/4.16.1/standard/ckeditor.js"></script>
<script>
    CKEDITOR.replace('deskripsi');
</script>
<script>
    $(document).ready(function() {
        var numInputs = 1; // Jumlah inputan awal

        // Ketika ada perubahan pada radio button enablePromo
        $('input[name="enablePromo"]').change(function() {
            if ($(this).val() === 'yes') {
                // Tambahkan inputan baru jika radio button "Yes" dipilih
                numInputs++;
                showInput(numInputs);
                $(this).prop('checked', false); // Uncheck radio button "Yes" setelah ditambahkan inputan baru
            }
        });

        // Fungsi untuk menampilkan inputan
        function showInput(index) {
            var newInput = `
                <div class="form-row mb-2" id="edit-highlight${index}">
                    <label class="col-sm-2 col-form-label" for="judul${index}">Highlight</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="judul${index}" id="judul${index}">
                    </div>
                </div>

                <div class="form-row mb-2" id="edit-lazada${index}">
                    <label class="col-sm-2 col-form-label" for="fasilitas${index}">Pertanyaan</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="fasilitas${index}" id="fasilitas${index}">
                    </div>
                </div>

                <div class="form-row mb-2" id="edit-shope${index}">
                    <label class="col-sm-2 col-form-label" for="icon${index}">Jawaban</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="icon${index}" id="icon${index}">
                    </div>
                </div>
                <br>
            `;

            $('#faqForm').append(newInput);
        }
        $('#submitButton').click(function() {

            $('#faqForm').submit();
        });

    });
</script>
    <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
    <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
    <script>
        $( document ).ready(function() {
            $(".modal-close").click(function(){
                $("#id_thumbnail").val(null);
            });

            $("#id_thumbnail").change(function () {
                if (this.files && this.files[0]) {
                    let reader = new FileReader();
                    
                    reader.onload = function (e) {
                        $("#image").attr("src", e.target.result);
                        $("#modalCrop").modal("show");
                    }

                    reader.readAsDataURL(this.files[0]);
                }
            });

            let $image = $("#image");
            let cropBoxData;
            let canvasData;

            $("#modalCrop").on("shown.bs.modal", function () {
                $image.cropper({
                    viewMode: 1,
                    aspectRatio: 4/2,
                    minCropBoxWidth: 200,
                    minCropBoxHeight: 200,
                    ready: function () {
                        $image.cropper("setCanvasData", canvasData);
                        $image.cropper("setCropBoxData", cropBoxData);
                }
            });

            }).on("hidden.bs.modal", function () {
                cropBoxData = $image.cropper("getCropBoxData");
                canvasData = $image.cropper("getCanvasData");
                $image.cropper("destroy");
            });

            // Enable zoom in button
            $(".js-zoom-in").click(function () {
                $image.cropper("zoom", 0.1);
            });

            // Enable zoom out button
            $(".js-zoom-out").click(function () {
                $image.cropper("zoom", -0.1);
            });

            $(".js-crop-and-upload").click(function () {
                var cropData = $image.cropper("getData");
                $("#id_x").val(cropData["x"]);
                $("#id_y").val(cropData["y"]);
                $("#id_height").val(cropData["height"]);
                $("#id_width").val(cropData["width"]);
                $("#modalCrop").modal('hide');
                let data;
                let croppedimage = $image.cropper("getCroppedCanvas")
                $(".crop-preview").html(croppedimage);
                $("#old-image").addClass('d-none');
                $("#old-image").hide();
            });
        });
    </script>
{% endblock scripts_bawah %}